POST
/bundles/{bundleId}
http://mobile.{region}.amazonaws.com/bundles/{bundleId}Generates customized software development kit (SDK) and or tool packages used to integrate mobile web or mobile app clients with backend AWS resources.
Access Token Required: API Key
Path Parameters
bundleIdstringrequired
Unique bundle identifier.
Query Params
projectIdstring
Unique project identifier.
platformstring
Developer desktop or target application platform.
Allowed:
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://mobile.{region}.amazonaws.com/bundles/{bundleId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}